# Generated by Django 2.0.5 on 2020-12-07 12:38

from django.conf import settings
import django.contrib.postgres.fields
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0089_auto_20200904_0956'),
        ('document', '0048_merge_20201123_1248'),
    ]

    operations = [
        migrations.CreateModel(
            name='OperationEmailTemplateSettings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('purchase_order_status_ids', django.contrib.postgres.fields.ArrayField(base_field=models.IntegerField(), size=None)),
                ('extra_config', django.contrib.postgres.fields.jsonb.JSONField(default={})),
                ('provider', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='operation_email_template_settings', to='accounts.Provider')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
